Support in other languages: 
Showing results for 
Search instead for 
Do you mean 

Welcome to the Forums!

Welcome to Lenovo's Peer-to-Peer Discussion Community!
Please note our guidelines. How to register and login and Community FAQs.

Help Lenovo Shape the Future of PCs

Take the ownership survey. Share your ideas with our product team

Community Spotlight

Visit the Community Blog

Are you ready for Windows 10?

Get to know Windows 10
Visit the Windows 10 Support Center
Reply
Retired Guru
Posts: 329
Registered: ‎02-19-2008
Location: Finland
0 Kudos
Accepted Solution

Thinkvantage system update setup error 742

[ Edited ]
Hi all,

We have problem using system update on our machines.
We have many different lenovo models T4x, T6x, X4, X6, All have same problem when tying to update.

Error message says:

setup error 742
The Source folder command line option (/s) must include valid source path.

We dont use any custom settings when using system update. It download all updates from lenovo server.

Anyone know how to fix this issue?

System OS is Windows XP with latests hotfixes.


Message Edited by outouser on 04-07-2008 12:00 PM
Highlighted
Fanfold Paper
Posts: 3
Registered: ‎07-30-2008
Location: Germany
0 Kudos

Re: Thinkvantage system update setup error 742

Hi,

i have the same error.

Do you have a solution for this issue ?

 

Thanks 

Retired Guru
Posts: 329
Registered: ‎02-19-2008
Location: Finland
0 Kudos

Re: Thinkvantage system update setup error 742

[ Edited ]

Not yet.

 

Do you use ghost to clone pc:s?

 

This problem seems to come after you clone "master" pc to other pcs. Master pc works just fine but not cloned pc´s.

Still trying to find out whats causing this.

Message Edited by outouser on 08-14-2008 12:58 PM
Fanfold Paper
Posts: 3
Registered: ‎07-30-2008
Location: Germany
0 Kudos

Re: Thinkvantage system update setup error 742

No, we make a silent installation.

I found out after a fresh installation it works.

We have some software packages with are installing a instmsiw.exe before you can install it.

It seems such packages modify the windows installer so it does not work with lenovo system updater.

We have ather probs with Adobe Reader 9 too (on machines with the sytem update prob)

I test step by step our software to identify the "bad" installer version.

Fanfold Paper
Posts: 7
Registered: ‎05-07-2008
Location: Singapore
0 Kudos

Re: Thinkvantage system update setup error 742

Do you guys have SAPgui installed?

I had the same error too but after some troubleshooting found that it boils down to SAPgui being installed in our corporate laptop.

But after some changing some registry entries everything seems to be working fine now.

 

 

Fanfold Paper
Posts: 3
Registered: ‎07-30-2008
Location: Germany
0 Kudos

Re: Thinkvantage system update setup error 742

Hi,

 

yes we have sap gui 4.6c installed.

what did you change to solve the error ?

Fanfold Paper
Posts: 7
Registered: ‎05-07-2008
Location: Singapore
0 Kudos

Re: Thinkvantage system update setup error 742

we are using version 6.20 so not sure whether it will work...but sure is worth a try

 

try this link >> http://blogs.msdn.com/astebner/archive/2005/10/18/482537.aspx

 

 

Fanfold Paper
Posts: 7
Registered: ‎05-07-2008
Location: Singapore
0 Kudos

Re: Thinkvantage system update setup error 742

just tested the workaround and were only only able to run some of the driver update.

 

for some reason certain system update still uses the sap source setup file...(keep prompting for systemupdate.msi).

 

 

 am wondering...who should come up with a fix for this? SAP or Lenovo?

 

 

Retired Guru
Posts: 329
Registered: ‎02-19-2008
Location: Finland
0 Kudos

Re: Thinkvantage system update setup error 742

We have also SAPgui installed version 6.20
Fanfold Paper
Posts: 7
Registered: ‎05-07-2008
Location: Singapore
0 Kudos

Re: Thinkvantage system update setup error 742

what i have did to solve was to use XP MSI cleaner to clean up SAP (it will not remove SAP program) and the previous mention registry change.

 

And things seems to be working fine now, but there might be some problem in future if you wish to uninstall SAP (which I had not tried)

 

hope this helps